Bug 5586 - (int-143597) Connection to Bluetooth GPS repeatedly lost while scanning for or connecting to wireless networks
(int-143597)
: Connection to Bluetooth GPS repeatedly lost while scanning for or connecting ...
Status: NEW
Product: Connectivity
Bluetooth
: 5.0/(3.2010.02-8)
: N900 Maemo
: Low normal with 8 votes (vote)
: ---
Assigned To: unassigned
: bluetooth-bugs
:
:
:
:
  Show dependency tree
 
Reported: 2009-10-19 02:24 UTC by Donn Morrison
Modified: 2010-05-19 14:37 UTC (History)
4 users (show)

See Also:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description Donn Morrison (reporter) 2009-10-19 02:24:58 UTC
STEPS TO REPRODUCE THE PROBLEM:

1. Pair a Bluetooth GPS using Location/Pair new device
2. Set the Bluetooth GPS as the active device using Location/GPS device
3. Open Maps (or other GPS-enabled app) to activate the Bluetooth GPS
4. Return to the desktop and scan for wireless networks or connect to a
wireless access point (Maps should do this automatically once it loads)

EXPECTED OUTCOME:

One expects the Bluetooth GPS connection to be maintained.

ACTUAL OUTCOME:

The connection to the Bluetooth GPS is repeatedly lost seemingly during the
scanning of or connection to wireless access points. A dialog appears that says
"The connection to the Bluetooth GPS has been lost. Try to reconnect?
(Yes/No)". Pressing Yes reconnects, but disconnecting from and reconnecting to
(or simply scanning for) wireless networks causes the Bluetooth connection to
be dropped.

REPRODUCIBILITY:

always/sometimes (depending on the Bluetooth GPS)

EXTRA SOFTWARE INSTALLED:

Other GPS enabled software such as eCoach, GPXView, the Location widget.

OTHER COMMENTS:

I have two different Bluetooth GPS units two N900s available for testing. The
first GPS is a Holux M-1000C and the second is a Locosys BGT-31. I can
reproduce this 100% of the time with the Holux, but it only happens
sporadically using the Locosys. Both N900s show consistent behaviour.

Simply leaving the wireless network scanning dialog open is enough to
repeatedly trigger the behaviour with the Holux. The Bluetooth connection will
be lost, prompting the reconnect Yes/No dialog to appear above the scanning
dialog. Clicking Yes reconnects, but the wireless scanning appears to interfere
somehow and the Bluetooth connection is again dropped. This repeats until
either the scanning dialog is closed or a wireless network has been connected
to.

The batteries of both BT GPSs are full and it is unrelated to whether the units
have a fix or not. I am careful not to block the BT signal between the GPS and
the N900 and maintain a reasonable distance (<10m, usually 1-2m).

I'm quite happy to try other test cases and do some debugging if someone can
point me where to look (dmesg doesn't say anything).
Comment 1 Andre Klapper maemo.org 2009-10-20 13:37:32 UTC
Thanks for reporting this!
Comment 2 Ian Monroe 2009-10-24 17:38:15 UTC
I noticed Ovi Maps stops using GPS whenever its not the active application. Do
you not lose GPS when Ovi Maps is minimized? Maybe the wifi scanning is a red
herring?

I guess this behaviour makes sense a bit, but its quite annoying when you have
the N900 plugged in and don't need every watt of power saved.
Comment 3 Donn Morrison (reporter) 2009-10-25 13:39:21 UTC
(In reply to comment #2)
> I noticed Ovi Maps stops using GPS whenever its not the active application. Do
> you not lose GPS when Ovi Maps is minimized? Maybe the wifi scanning is a red
> herring?

The bug is unrelated to the program I'm using and only happens if the network
scanning dialog is active or a known network is implicitly being connected to.
Comment 4 hex 2009-12-10 00:22:40 UTC
This seems somewhat similar to a bug I entered: 6594
(https://bugs.maemo.org/show_bug.cgi?id=6594).

Happens with just more than GPS. Right now I'm searching for a bug on dropping
active bluetooth connections constantly - both my cars disconnect and I have
four headsets I've tried (including 1 A2DP for music). They drop and if talking
to someone (and they hold on) it takes a minute to reorient and let me switch
to handset, but still shows connected even if I turn bt device off.

Seems all of this may be related so added the extra info just in case it helps.
Comment 5 hex 2009-12-10 00:22:58 UTC
*** This bug has been confirmed by popular vote. ***
Comment 6 egoshin 2009-12-12 00:03:50 UTC
To user "hex" - 

you can look into bug 6605, it looks like it describes your latest BT car
problem more precisely, see my description at the end of 6605
(https://bugs.maemo.org/show_bug.cgi?id=6605) 

"They drop and if talking
to someone (and they hold on) it takes a minute to reorient and let me switch
to handset, but STILL SHOWS CONNECTED even if I turn bt device off."
Comment 7 hex 2009-12-12 05:58:15 UTC
(In reply to comment #6)
> To user "hex" - 
> 
> you can look into bug 6605, it looks like it describes your latest BT car
> problem more precisely, see my description at the end of 6605
> (https://bugs.maemo.org/show_bug.cgi?id=6605) 
> 
> "They drop and if talking
> to someone (and they hold on) it takes a minute to reorient and let me switch
> to handset, but STILL SHOWS CONNECTED even if I turn bt device off."
> 

Thanks @egoshin. I found this https://bugs.maemo.org/show_bug.cgi?id=6766

But just updated and voted for the ticket you provided. I'll try to get the
logs for them in the next day or three - just depends on snow now.

Cheers.
Comment 8 Andre Klapper maemo.org 2010-05-19 13:55:10 UTC
Internal comment:
"Tried to reproduce with Nokia LD-4W on internal version 2010.19-1
Scenario: 
1. Pair a Bluetooth GPS using Location/Pair new device
   (used Nokia LD-4W)
2. Set the Bluetooth GPS as the active device using Location/GPS device
3. Open Maps to activate the Bluetooth GPS
4. Return to the desktop and scan for wireless networks or connect to a
wireless access point (Maps should do this automatically once it loads)
Attempts: 15 times.
Result: unreproducible. BT GPS connection is not lost."
Comment 9 Donn Morrison (reporter) 2010-05-19 14:06:53 UTC
(In reply to comment #8)

It seems like it might be dependent on the BT GPS. I'm still having this issue
with 3.2010.02-8 and the Holux M-1000C. It is very much reproducible with this
device to the point where I have to disable wifi auto-connect on the N900 when
I want to use the external GPS.